Hi all,

after the latest galaxy update I've experienced the following error while
trying to start the server.

galaxy.eggs DEBUG 2014-06-04 14:34:56,027 Fetched
http://eggs.galaxyproject.org/bioblend/bioblend-0.4.2-py2.7.egg
galaxy.eggs ERROR 2014-06-04 14:34:56,047 One of Galaxy's managed eggs
depends on something which is missing, this is almost certainly a bug in t
he egg distribution.
galaxy.eggs ERROR 2014-06-04 14:34:56,047 Dependency "bioblend" requires
"mock"
Traceback (most recent call last):
  File "./scripts/paster.py", line 33, in <module>
    serve.run()
  File
"/steno-internal/projects/galaxy-test/galaxy-dist/lib/galaxy/util/pastescript/serve.py",
line 1049, in run
    invoke(command, command_name, options, args[1:])
  File "/steno-internal/projects/galaxy-test/galaxy-dist/lib/galaxy/util
/pastescript/serve.py", line 1055, in invoke
    exit_code = runner.run(args)
  File
"/steno-internal/projects/galaxy-test/galaxy-dist/lib/galaxy/util/pastescript/serve.py",
line 220, in run
    result = self.command()
  File
"/steno-internal/projects/galaxy-test/galaxy-dist/lib/galaxy/util/pastescript/serve.py",
line 643, in command
    app = loadapp( app_spec, name=app_name, relative_to=base,
global_conf=vars)
  File
"/steno-internal/projects/galaxy-test/galaxy-dist/lib/galaxy/util/pastescript/loadwsgi.py",
line 350, in loadapp
    return loadobj(APP, uri, name=name, **kw)
  File
"/steno-internal/projects/galaxy-test/galaxy-dist/lib/galaxy/util/pastescript/loadwsgi.py",
line 375, in loadobj
    return context.create()
  File
"/steno-internal/projects/galaxy-test/galaxy-dist/lib/galaxy/util/pastescript/loadwsgi.py",
line 813, in create
    return self.object_type.invoke(self)
  File
"/steno-internal/projects/galaxy-test/galaxy-dist/lib/galaxy/util/pastescript/loadwsgi.py",
line 249, in invoke
    return fix_call(context.object, context.global_conf,
**context.local_conf)
  File
"/steno-internal/projects/galaxy-test/galaxy-dist/lib/galaxy/util/pastescript/loadwsgi.py",
line 97, in fix_call
    val = callable(*args, **kw)
  File
"/steno-internal/projects/galaxy-test/galaxy-dist/lib/galaxy/webapps/galaxy/buildapp.py",
line 49, in app_factory
    webapp.add_ui_controllers( 'galaxy.webapps.galaxy.controllers', app )
  File
"/steno-internal/projects/galaxy-test/galaxy-dist/lib/galaxy/web/framework/__init__.py",
line 441, in add_ui_controllers
    module = import_module( module_name )
  File
"/steno-internal/projects/galaxy-test/galaxy-dist/lib/galaxy/util/backports/importlib/__init__.py",
line 37, in import_module
    __import__(name)
  File
"/steno-internal/projects/galaxy-test/galaxy-dist/lib/galaxy/webapps/galaxy/controllers/cloudlaunch.py",
line 20, in <module>
    eggs.require('bioblend')
  File
"/steno-internal/projects/galaxy-test/galaxy-dist/lib/galaxy/eggs/__init__.py",
line 409, in require
    return c[req.project_name].require()
  File
"/steno-internal/projects/galaxy-test/galaxy-dist/lib/galaxy/eggs/__init__.py",
line 237, in require
    dists = self.resolve()
  File
"/steno-internal/projects/galaxy-test/galaxy-dist/lib/galaxy/eggs/__init__.py",
line 168, in resolve
    dists = pkg_resources.working_set.resolve( (
self.distribution.as_requirement(), ), env, self.fetch )
  File
"/steno-internal/projects/galaxy-test/galaxy-dist/lib/pkg_resources.py",
line 569, in resolve
    raise VersionConflict(dist,req) # XXX put more info here
pkg_resources.VersionConflict: (bioblend 0.4.2
(/steno-internal/projects/galaxy-test/galaxy-dist/eggs/bioblend-0.4.2-py2.7.egg),
Requirement.parse('mock'))


First I got and error about the python module 'requests' missing, fixed it
using 'pip install', and then got the error above.

Regards,
Nikos
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  http://lists.bx.psu.edu/

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/mailinglists/

Reply via email to